/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 */
package logger

import (
	"io/ioutil"
	"testing"
)

func TestLogger(t *testing.T) {
	logg := NewLogger("test")
	logg.Debugf("foo: %s", "bar")
}

func BenchmarkLoggerL(b *testing.B) {
	SetWriter(ioutil.Discard)
	logg := NewLogger("test")
	for i := 0; i < b.N; i++ {
		logg.Debugf("foo: %s", "bar")
	}
}

func BenchmarkLoggerP(b *testing.B) {
	SetWriter(ioutil.Discard)
	logg := NewLogger("test")
	b.ResetTimer()
	b.RunParallel(func(pb *testing.PB) {
		for pb.Next() {
			logg.Debugf("foo: %s", "bar")
		}
	})
}
